/*
COLORS:

Light green: #7ed56f
Medium green: #55c57a
Dark green: #28b485

*/

:root {
    --color-primary: grey;
    --color-secondary: #5369bd;
}

* {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

html, body {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.7;
    color: #777;
    padding: 1vh;
    height: 100%;
}

.main-frame {
    height: calc(100% - 100px);
    background-image: linear-gradient(to right bottom,
    rgba(100, 99, 103, 0.8),
    rgba(124, 123, 134, 0.8));
    background-size: cover;
    background-position: top;
    position: relative;
    max-width: 600px;
    border-radius: 0px 0px 20px 20px;
    margin: auto;
}

.bg {
    box-shadow: 3px 3px 3px rgba(0, 0, 0, .4);
    height: 100%;
    background-image: url(../img/bible.jpg);
    background-size: cover;
    background-position: top;
    position: relative;
    max-width: 600px;
    border-radius: 20px;
    margin: auto;
}

.logo-box {
    position: absolute;
    top: 40px;
    left: 40px;
}

.logo {
    height: 35px
}


@keyframes moveInLeft {
    0% {
        opacity: 0;
        transform: translateX(-100px);
    }
    80% {
        transform: translateX(20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes moveInRight {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }
    80% {
        transform: translateX(-20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes moveInBottom {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.btn:link, btn:visited {
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    border-radius: 50px;
    transition: all .2s;
    /*    position: relative;*/
}


.sbtn {
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    border-radius: 50px;
    transition: all .2s;
    position: absolute;
    height: 75px;
    width: 75px;
    font-size: 45px;
    font-weight: bold;
    text-align: center;
    color: white;
    cursor: pointer;
    bottom: 20px;
}

.sbtn:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, .2);
}

.sbtn:active {
    transform: translateY(-1px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
}

.sbtn-left {
    left: 20px;
}

.sbtn-center {
    left: 50%;
    margin-left: -37px;
}

.sbtn-skip {
    height: 40px;
    opacity: 0.5;
    margin-left: 5px;
}

.sbtn-right {
    right: 20px;
}

.sbtn-white {
    background: white;
}

.sbtn-red {
    background: red;
}

.sbtn-team1 {
    background: #00dcff;
}

.sbtn-team2 {
    background: #da7bb0;
}

.sbtn-timer {
    width: 150px !important;
    left: 50% !important;
    margin-left: -75px;
}



.play-header {
    width: 100%;
    height: 100px;
    opacity: 1;
    background-color: rgba(0, 0, 255, 0.25);
    border-radius: 20px 20px 0px 0px !important;
    border-bottom: 2px solid white;
}


.sbtn-green {
    background: lawngreen;
}

.main-word {
    width: 100%;
    text-align: center;
    font-weight: bold;
    font-size: 4vh;
    padding: 1.5vh;
    color: white;
    border-bottom: 2px solid white;
}

.no-word {
    width: 100%;
    text-align: center;
    font-weight: normal;
    font-size: 4vh;
    padding: 1.0vh;
    color: white;
}


.play-score {
    backface-visibility:hidden;
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    border-radius: 50px;
    transition: all .2s;
    position: absolute;
    height: 60px;
    width: 60px;
    font-size: 36px;
    font-weight: normal;
    text-align: center;
    color: white;
    top: 20px;
}


#play-switch {
    width: 100%;
    height: 170px;
    z-index: 999;
    background: white;
    top: 50%;
    margin-top: -100px;
    position: absolute;
    text-align: center;
    padding: 10px;
    margin-left: -25px;
    cursor: pointer;
}

#play-end {
    width: 100%;
    height: 170px;
    z-index: 999;
    background: white;
    top: 50%;
    margin-top: -100px;
    position: absolute;
    text-align: center;
    padding: 10px;
    margin-left: -25px;
    cursor: pointer;
}

#bg-off {
    z-index: 999;
    height: 100%;
    width: 100%;
    opacity: 0.75;
    background-color: black;
    position: absolute;
    top: 0px;
    border-radius: 15px;
}

#btn-next-round {
    border-radius: 10px;
    width: 100px;
    padding: 10px 20px 15px 20px;
    border: 3px solid grey;
}


input[type=radio] {
    /*  position: absolute;*/
    visibility: hidden;
    display: none;
}

.rlabel {
    color: var(--color-primary);
    display: inline-block;
    cursor: pointer;
    font-weight: bold;
    /*  padding: 5px 13px;*/
    padding: 6px 7px;
    font-size: 2.0vh;
    background: white;
    margin-right: -1px;
    width: 20%;
}

.rlabelw {
    width: 98px;
    text-align: center;
}
.xradio:checked + .rlabel {
    color: white;
    background: var(--color-primary);
    opacity: 0.5;
}

.rlabel + input[type=radio] + .rlabel {
    /*  border-left: solid 2px orange;*/
}
.radio-group {
    border: solid 1px var(--color-primary);
    display: inline-block;
    border-radius: 5px;
    overflow: hidden;
    white-space: nowrap;
    background-color: white;
    text-align: center;
    width: 100%;
    margin-bottom:0.25rem;
}

.game {
    padding: 20px;
    color: white;
    text-align:left;
}

.game-header {
    text-align: center;
    font-weight: bold;
    font-size: 4vh;
    color: white;
    padding: 30px;
}

.btn-start {
    box-sizing: border-box;
    border-radius: 15px;
    background-color: white;
    padding: 1em;
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    text-align: center;
    font-size: 2.5vh;
    color: var(--color-primary);
    cursor: pointer;
}

.btn-reset {
    box-sizing: border-box;
    border-radius: 15px;
    background-color: white;
    padding: 1em;
    position: absolute;
    bottom: 120px;
    left: 20px;
    right: 20px;
    text-align: center;
    font-size: 2.5vh;
    color: var(--color-primary);
    cursor: pointer;
}

.btn-start:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, .2);
}

.btn-start:active {
    transform: translateY(-1px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
}

.winner {
    font-size: 3vh;
    font-weight: bold;
}

.Red {
    color: red;
}

.Blue {
    color: blue;
}

.return-home {
    position: absolute;
    top: 5px;
    width: 200px;
    margin-left: 50%;
    left: -100px;
    text-align: center;
    z-index: 9999;
}


.play-player {
    position: absolute;
    top: 65px;
    width: 200px;
    margin-left: 50%;
    left: -100px;
    text-align: center;
    z-index: 9999;
    color: white;
}

#a-home {
    color: lightgrey;
    font-size: 1.5vh;
    text-decoration: none;

}


@keyframes spinner {
    from {
        transform: rotateY(0deg);
    }
    to {
        transform: rotateY(-360deg);
    }
}

#stage {
    margin: 1em auto;
    perspective: 1200px;
}

#spinner {
    animation-name: spinner;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-duration: 6s;
    animation-play-state: paused; /* new */
    transform-style: preserve-3d;
}

#spinner div,
#spinner img {
    position: absolute;
    border: 1px solid #ccc;
    background: rgba(255, 255, 255, 0.8);
    box-shadow: inset 0 0 20px rgba(0, 0, 0, 0.2);
}

.txt-input {
    width:100%;
    font-size:2vh;
    margin-top:1vh;
    padding:1vh;
}

.x-3d-rotate {
    transform: rotateY(180deg);
    transition: 0.5s;
}

.x2-3d-rotate {
    transform: rotateY(-360deg);
    transition: 0.5s;
}

.team-div {
    width: 50%;height: auto;float: left;
}

.team-box {
    color:white;
    height:calc(20vh);
    width:100%;
    padding:.5rem;
    font-size:1.5rem;
}

.read-only {
    opacity:0.5;
    pointer-events: none;
}

.info-text {
    color:white;padding:1rem;
    line-height: 1.2em;
}